R3DTweak v2

Rage3D Tweak Readme

Rage3D Contact:
Eric "Ichneumon" Amidon
ichneumon@rage3d.com

Tweaker Credits:

Tweaks and Management: Eric Amidon
Tweak Engine and Tools code: Byron Montgomerie
Overclocking r6probe libraries: Vahur Sinijärv

Installation:

  • Uninstall any previous version. (see section below)
  • Run R3DTweak.exe
    • This will unzip the program and subdirectories to the specified directory and start the installation program.
    • If you wish to re-run the installation, run RegTweakSetup.exe from the Rage3DTweak install directory.
  • When prompted for tweaks, select all the options you wish to install with the supplied check boxes.
  • Reboot your computer when prompted.
  • Open up the advanced display properties or the tweaker system tray icon and tweak away!

Un-installation (v2.7 and later):

  • Open Add/Remove Programs in the Control Panel
  • Remove Rage3D Tweak Engine V.xxx (Tweaks First)
    • (Some early versions may say Registry Tweak Engine instead)
  • When prompted, select all the tweaks to be removed using the supplied check boxes.
  • Reboot your computer when prompted.

Un-installation (v2.3 -2.6):

  • Open Add/Remove Programs in the Control Panel
  • Remove Registry Tweak V.xxx (Remove Only)
  • When prompted, select all the tweaks you wish to remove with the engine
    • i.e. Rage3D Tweak, Overclocking, and Custom Display Modes

Un-installation (v1.0-2.2):

  • Open Add/Remove Programs in the Control Panel
  • Remove Rage3D Tweak V.xx (Remove Only) for the Radeon tweaks tab.
  • Remove Rage3D Radeon V.xxx (Remove Only) for the Overclocking tab.
  • Remove Rage3D Custom Display Modes V.xxx (Remove Only) for the Custom Modes tab.
  • Remove Registry Tweak V.xxx (Remove Only) for the tweaker engine. (note: this is required for the other tabs to function)


Version History

Version 3.8

  • Added Force Pixel Shader version for DirectX
  • Added Force Vertex Shader version for DirectX
  • Some minor bug fixes

Version 3.7

  • Added a number of new profiles and updated existing ones
  • A new Reset profile saves the current settings at the time you installed Rage3D Tweak so you can easily revert to the settings you had before installing the tweaker
  • Updated tweaks for full support of Catalyst 3.0 options
  • New GUI updates include new buttons, support for nested tree-view for more useful tweaks organization and more
  • Updated support for additional 9500/9700 boards as well as updates for older generation Radeon cards
  • New overclocking files with better support for all ATI Radeon core based chips. (Mobility included)
  • Added the ability to Export and Import profiles between R3DTweak versions now!
  • Exported profiles go to a file format that is easy to pass between your friends as well as save your personal profiles for easy upgrading to new Rage3D Tweak versions. Simply double-click a profile file to import it back into the tweaker.
  • Folding@Home support has returned to the tweaker! The F@H tab will now prompt you to download the client from the correct place and tell you where to put it for full support of running/hiding the console. Right-Click on the F@H tab window for menu options.
  • Quite a lot of other under the hood enhancements to help prepare for the future.
  • The setup program now auto-detects all Radeon cards and selects the correct tweaks for your card type. If you have more than one card listed in the registry it will prompt you for the card you are using now.
  • The setup program now prompts you for the location you would like to install Rage3D Tweak. All files now go into this folder (except the overclocking files) instead of the various windows directories where most files did in former versions.
  • You can now change skins without any need to install or reboot anything. An icon in the Rage3D Tweak program group allows you to change skins at will. Just close and open the tweaker after each skin change for it to take place.
  • The Tweaker now uses a registry hive system which keeps all the extra tweak information from bloating your registry. The settings are only stored in the registry while the tweak interface is open and written out to a special file (and removed from the registry) after you close the tweaker interface.
  • New GameUtil startup graphic thanks to Buddy.

Version 3.6

  • Added Overclocking support for Radeon 9000 and 9700 based cards
  • Changed a lot of back end setup of tweaker files

Version 3.5

  • Added hotkeys to change a game or application process priority on the fly. Alt-P = High Priority; Alt-Shift-P = Low Priority; Alt-Cntrl-Shift-P = Normal Priority. You can change the hotkeys in the GameUtil Hotkeys category of the tweaks.
  • Now supports fully user configurable sounds for GameUtil functions. By default Overclocking/Profile/Game functions have sounds in this version. You can add/remove/change any of the sounds simply by going to "Sounds" in the Control Panel and scrolling down to the GameUtil section.
  • Added a Warcraft 3 profile.
  • Removed the Clear D3D and Clear OGL profiles since they can now be cleared simply by right-clicking on the tweak category. Am working on some generic high-speed vs. high-quality profiles in the works for v3.6 as well.
  • Added a "Defaults" right-click option to the Custom Display Modes tab for the custom modes category.
  • Renamed the display modes displayed in the taskbar program.
  • There's a new "GameUtil Extras" tweak category now, which contains tweaks for modifying how windows and desktop functions work. This includes a number of window manipulation tweaks useful to those with multiple-monitor setups.
  • Added 2 new skins: a "Blank" skin for those that requested it, and a new Abstract skin which is looking really good.
  • Implemented a number of under the hood enhancements for the added features.

Version 3.4

  • Primarily a bug-fix update to v3.3.
  • Resolves issue with the way the DALRestrictedModesBCD tweak works.
  • Fixes bug with Single-User installation not reading notwithstanding and incompatibles entries correctly
  • Adds new tweak to Advanced Tweaker Settings category called Ruan ATI SmartGart Utility. Selecting this tweak launches ATIs smartgart utility in the Catalyst drivers so you can see your AGP settings. (2x/4x/read/write etc.) Make sure your motherboard AGP drivers are correctly installed if you're getting grayed out settings in this tool.
  • Moved defaults option to each category. Right-Click a tweaks category to reset defaults back to they way they were before you made your first changes. This option won't appear unless you've made any changes to the tweaks.
  • Added a full-category registry clear option as well. Use the right-click menu to access this, but it will only appear if there are actually settings to clear.
  • Modified tweaker control panel interface to work better with the arsed up size of the display properties tabs due to ATI's new D3D and OpenGL tabs.
  • Replaced all skins with 3 new improved skins.
  • Changed skins to only need one bitmap instead of two, so color sections of the tabs are now auto-scaled. (another fix to work better with ATI's arsed up tab sizes in the display properties)
  • Updated Install and Uninstall GUIs to be more descriptive.
  • As with version 3.3, this version is only for Catalyst display drivers, not older ATI driver sets. All future versions will no longer support pre-catalyst drivers. Use version 3.2 for full compatibility with pre-catalyst display drivers.

Version 3.3

  • Rage3D Tweak version 3.3 is fully compatible with the ATI Catalyst Drivers (7.72 and above). Note, this means that it does NOT work with previous driver versions! You must use Rage3D Tweak version 3.2 for ATI drivers that came out before the Catalyst Drivers (7.70 or older).
  • Added Mipmap Detail (TexLod) and Texture Preference (TexOpt) tweaks to D3D and OpenGL.
  • Updated Smoothvision entries to support new Catalyst settings.
  • Added PointParameters OpenGL tweak
  • Updated all profiles for the new and modified tweaks.
  • Fixed a couple minor back-end F@H tab bugs having to do with some leftover hard-coded directory settings.

Version 3.2

  • Implemented Multi-user support so you can choose whether the tweaker is available to all users or only the installing user
  • Added transparancy support to the taskbar tweaks interface
  • Added new tab to run and hide the Folding@Home client and show some statistics on progress.
    • The FAH tab install creates a c:\folding directory and copies the client and pre-set config file there.
    • The client does not run at boot by default, but right-clicking the FAH tab will give you that option
    • You can edit the client.cfg file with your username if you wish to replace the default we've put there (rage3d tweak user).
    • You can install only the FAH tab if you don't want the other tweaker tabs
    • The FAH tab will never show up in the advanced display properties, only in the taskbar interface.
  • Added some additional tweaks to the Advanced Tweaker Settings category to disable all tweaker tabs in the advanced display properties and run only from the taskbar interface or the reverse.

Version 3.1e

  • Fixed a couple of minor OC bugs introduced in 3.1d.
  • Fixed anisotropic tweak string problem.
  • Fixed a half dozen minor bugs introduced with other fixes.
  • Changed how the use DALRestrictedModes tweak worked. It now just doesn't modify DALRestrictedModes when when disabled instead of clearing it.
  • Removed a debug line that caused folks some r6probe problems in one of the updates.
  • Updated the Help files.

Version 3.1d

  • Further enhancements to Windows XP support.
  • Added GUI acceleration tweaks for alpha blending, stretchblit, and blockwrite. (in Driver and Display category). Should greatly enhance XPBench scores mostly due to support of stetchblit.
  • Added a new DVD tweaks category to tweaks tab and added a bunch of tweaks there.
  • Added debug toggle and user requested option to Advanced Tweaker Settings category
  • Fixed anisotropic filtering tweak
  • Updated Skins
  • Rewrote OC driver headers
  • Added more help to the tweaks
  • Fixed 1600x1200 display bug
  • Fixed various other minor bugs

Version 3.1

  • Enhanced Windows XP support.
  • Reorganized tweaks listing.
  • Improved custom display modes and refresh rates support and interface.
  • Numerous additional tweaks.
  • New installer and uninstaller
  • New support for graphics in the GUI
  • Replaced setclk.lib with our own interface to the r6probe files for better compatibilty and overclocking support across different cards and platforms.
  • Split up and renamed tweaker install files for better organization and easier translation.
  • A lot of other things I've probably not thought of right now.

Version 3.0

  • Added 7500/8500 overclocking support.
  • Added much better interface for per-game Overclocking.
  • The Overlay Icons in the tweaks/profiles section have been updated to make them more informative.
  • Added much better interface for per-game Profiles.
  • Supports per-game sound settings along with gamma/brightness/contrast settings.
  • Setup program creates "uninstal.bat" in the install directory to delete all installed files in case of an emergency. Use the Add/Remove Programs to uninstall the tweaker unless you have a major problem.
  • Vastly updated help files

Version 2.8

  • Full support for all tweaker functions in Windows XP.
  • Added Hot-key support for Gamma, Brightness, and Contrast settings.
  • Alt = Increase; Alt+Shift = Decrease; Alt+Shift+Control = Reset
  • G = Gamma; B = Brightness; C = Contrast; Q = Quit.
  • When you set Gamma, Brightness, and Contrast with the hotkeys, your settings are restored each time you run a Game, or restore the Desktop!
  • Updated Interface
  • Game and Desktop Refresh rate modifications supported for all Custom and Standard display modes in Windows 9x, Windows 2000, and Windows XP
  • Added a dozen game profiles
  • Removed Raid-On profile importer
  • Added a few new tweaks
  • Added option at beginning of the Profiles section to reset all settings to ATI defaults each system boot. It is OFF by default.
  • All Custom Display Mode functions, G/B/C adjustment hotkeys, and some tweaks should all work with the Radeon 8500. Overclocking is Not supported on the 8500 yet.

Version 2.7

  • Updated installation program:
    • Adds check-box selection of items to install/uninstall.
    • Checks Operating System Language ID, for multi-language support.
    • If the tweaker is translated into the Language ID of your OS, that language option will be displayed for installation. If there is not a translation for your Language ID, the English version of the tweaker will be displayed by default. If you wish to have a specific language version for installation, contact me at ichneumon@rage3d.com.
  • Incorporates first translated tweaker files: Italian. (French and German to come)
  • Updated interface.
  • Extensive bug testing.

Version 2.6

  • Custom Display Modes page updated to Version .004. Changes include:
    • Modified design.
    • The addition of all resolutions, both Standard and Custom.
    • Support for a Right-Click menu for each resolution, which allows you to specify your preferred refresh rate for all the resolutions you use, both custom and standard.
    • Currently the refresh rate specification is only supported under Win9x/ME. Win2k support coming as soon as we get it working.
    • See the Custom Display Modes Help page for more information.
  • New "DAL" tweaks section in the Rage3D Tweak tab adds the following tweaks:
    • GCOOPTION_SlowerEdge = The long known shimmer fix for certain Trinitron and Diamondtron tube monitors, which for the most part I think is not needed by folks anymore, but some forum posts prompted me to include this with the other tweaks anyway.
    • GCORULE_RMXSupport = This setting Enables the "Scale image to panel size" button so that it will appear in the FPD (Flat Panel Display) section of "ATI Displays" in the advanced display properties. This option will scale resolutions lower than the maximum supported by a given flat-panel screen to be the full size of the screen instead being displayed in a smaller window. Changing this setting requires a reboot. (note: this won't do anything for you if you don't have a Flat Panel Display).
    • TVEnableOverscan = Added by user request, enabling this option should enable TV Overscan support for Radeon cards with the Rage Theater chip. (This may also work for any ATI card using the Rage Theater chip)
  • Updated installation program.
  • Updated Help files.

Version 2.5

  • Updated profiles to support clone/save/export/shortcut for read only profiles.
    • CopyProtect profile setting disables all right-click menu options
    • ReadOnly profile setting disables set/delete/comment options.
  • Fixed bug with clearing settings from registry where it would set it to default instead of removing the entry.
  • Tweaked the way shortcut option works.
  • Tweaked the way the Overclocking tab stores current clock settings when installing.
  • Engine now works correctly in Windows 95 and Windows NT 4.0. (tweak functionality limited by OS)
  • Fixed a few spelling errors.
  • Updated the Help files.

Version 2.4

  • Added support for single tweak delete from registry. Right-click on tweak button for menu.
  • Installation checks for previous version already installed.
  • Added support for Adding/Removing the following ATI tabs: (note: removing the OpenGL tab resolves the issue of it resetting your high Anisotropic settings)
    • Screen Rotation
    • D3D
    • OpenGL
    • Projector
  • Added extra queued frames tweak.
  • Updated Overclocking slider code.

Version 2.3

  • Improved Installation/Un-installation procedure
  • Minor bug fixes
  • Updated Interface fonts/colors
  • Updated Profiles
  • Updated Help

Version 2.2

  • Added check to enable/disable all ATI tabs in the Rage3D Tweak taskbar utility.
  • The taskbar utility now lets you change profiles from the right-click menu on the icon.
  • Added Profile features (available from right-click menu on any custom profiles):
    • Shortcut option for profiles: Creates a shortcut on your desktop to any game or application you specify that automatically changes to the selected profile when running the specified app.
    • Save option for profiles: Save the tweak profile settings to a file instead of the actual registry settings
      (export saves the actual registry settings to a .reg file). Ultimately will help with porting profiles from one tweaker version to the next.
  • Added in game gamma modification support:
    • ALT-G = Increase game gamma
    • ALT-SHIFT-G = Decrease game gamma
    • ALT-SHIFT-CONTROL-G = Exit and Reset gamma
  • Updated Resume Fix to reset overclocking settings:
    • Should work in all cases of a system resume now
    • Does not yet work for basic monitor power save
  • Cosmetic updates
  • Minor bug fixes

Version 2.1

  • Added additional Profile capabilities: Clone, Rename, Comment, Delete and Export.
    • Access through right click on profile button.
  • Overhaul of the tweak settings and improvements to tweak interface for usability.
  • Improvements to the Custom Display Modes tab.
  • Added a system resume fix for Overclocking. Settings should remain after the system comes out of power save mode now.
  • Numerous look and feel updates to keep interface more consistent.
  • Experimenting with various color schemes using new Engine functionality.
  • Significantly reduced memory footprint.
  • Numerous minor bug fixes.
  • RaidOn profile importer runs at install if RaidOn tweaker is installed.
  • Taskbar icon enabled by default.

Version 2.0

  • Added Custom Display Modes interface on seperate Tab.
  • Added new Overclocking interface on separate Tab.
  • Added RaidOn Profile Importer.
    • Just run RaidOn Profile Importer.exe in the R3DTweak folder and select the profiles to import. Select the Profile for use from the RaidOn Profile section now in the Rage3D Tweak tab.
  • Added SetGamma utilility which uses hotkeys for gamma:
    • ALT-G to increase
    • SHIFT-ALT-G to decrease
    • CONTROL-SHIFT-ALT-G to exit.
    • Takes command line arguments of gamma contrast brightness, values centered on 128, ranging from 0 to 256.
  • Added new tweaker options:
    • ZMaskEnable
    • ZCompression
    • Game Gamma
    • Several Tiling entries.
  • Updated My D3D Settings to include new tweaker options.
  • Updated RegTwk.dll:
    • Values not entered in the Registry are indicated with a red border now
    • Allows use of Strings instead of requiring DWORDs now
  • Moved system.ini settings into windows tree.
  • Added several more system tweaks in windows tree under the umbrella of two macros.
  • Renamed Engine command "NoRegistryOnValue" to "NoEntryOnValue" since the .dll can now delete entries in .ini files.

Version 1.2

  • Added enableVidMemTextures tweak to priavate section.
  • Seriously modified how the tweaks in the private section work.
  • Updated many of the default settings.
  • Now supports both synchronous and asynchronous overclocking. (was only async in v1.1)
  • Added 2 blank Profiles (Save Profile 1 & 2) for saving your personal tweak configurations.

Version 1.1

  • Added support for asynchronous clocking.
  • Added support for saving profiles through right click on profile button.
  • Corrected removal of setclk startup string in HKLM\..\Windows\CurrentVersion\Run.
  • Fixed Vcache tweaks. (it doesn't modify anything now unless you change it)

Version 1.0

  • Initial Version


R3DTweak v2

Rage3D Tweak

This is the interface for modifying the registry settings for the Radeon:

All of the tweaks have been broken down into the following subsections:

Tweaks Section | Function
3D DirectX | Settings affecting D3D applications
3D OpenGL | Settings affecting OpenGL applications
Advanced Tweaker Settings | Specify card type for FSAA support, enabled Advanced tweaks, and modify settings for the Overclocking tab.
Driver and Display Settings | Toggle tweaks for various ATI tabs displayed in Control Panel and enable specific ATI display fixes.
Game Util | Tweaks affecting the functionality of the GameUtil tool developed for Rage3D Tweak.
Game Util Hotkeys | Change the Gamma, Brightness, Contrast and other hotkeys for GameUtil under this category.
Pre-Set and Default Profiles | Location for included game-profiles, registry clear and driver default profiles. Set your Default profile for boot and game exit in here.
User Profiles | Template files for you to "Clone" to create your own profiles.
Windows | Windows tweaks not specific to the Radeon

When you have expanded a Tweak section, you'll see various types of boxes, checks and buttons looking something like this:

Box type | Setting
A plain gray box | Value set to 0 (check the data box for actual value)
A box with a check | Value set to 1 (check the data box for actual value)
A box with a red border | Value is not in registry
A box with a green border | Value has been queued for change. Will be set when you hit Apply or OK.
A box with a button icon | Value set by slider

Each arrow by a tweak section can be clicked to expand the corresponding tree of registry tweaks. The settings each have a description associated with it accessible by clicking the "?" icon in the upper right, and then clicking on the registry setting in question.

To modify a setting click on the box to the left of the setting, not on the entry name. The value of the setting will be displayed in the Data box. If it is a slider setting, the value will be displayed in the Data box to the left of the slider, and will change as you move the slider back and forth.

Gamma, Brightness, Contrast, and Sound Correction

Gamma, Contrast, Brightness and sound can be modified using Rage3D tweak with hotkeys. This is supported by most games as well.

The increments are quite small, so if you don't think you are seeing any change, hold down the key combination for a bit.

Gamma |
ALT-G | Increase Gamma
SHIFT-ALT-G | Decrease Gamma
CONTROL-SHIFT-ALT-G | Reset Gamma to default
Brightness |
ALT-B | Increase Brightness
SHIFT-ALT-B | Decrease Brightness
CONTROL-SHIFT-ALT-B | Reset Brightness to Default
Contrast |
ALT-C | Increase Contrast
SHIFT-ALT-C | Decrease Contrast
CONTROL-SHIFT-ALT-C | Reset Contrast to Default
Sound Volume |
ALT-S | Increase Sound Volume
SHIFT-ALT-S | Decrease Sound Volume
CONTROL-SHIFT-ALT-S | Reset Sound Volume to Default
Quit/Reset hotkeys |
CONTROL-SHIFT-ALT-R | Removes any Gamma/Brightness/Contrast/Sound settings that have been saved to the Registry by the tweakerfor the current game.
CONTROL-SHIFT-ALT-Q | Close the GameUtil tool.

These Gamma control hot-keys work in the majority of games as well.

SystemTray Icon

You'll notice a small Rage3D icon in your System tray (little blue icon). Double-clicking the icon will open up the Rage3D Tweak tabs for full interaction. Right-clicking the icon brings up a menu you can use to quickly change which profile is active, as well as change your desktop Color Depth and Resolution.


Working with Profiles

The Rage3D Tweak profiles section looks something like this:

The profiles section has green buttons next to each profile. The button colors represent the following:

The profile settings are not loaded
The profile settings are loaded into the corresponding tweak sections
The profile is associated with a game executable, and the settings will be applied each time the game/app is run. When the game/app exits, your settings will be returned to normal.

Dark green means the profile settings are not loaded, light green means the profile settings are loaded into the corresponding tweaks sections, . The buttons will go to light green whenever the settings in the tweak sections correspond to the settings in the profile, so if you get a light green light next to a profile after you've been modifying the settings, it just means you have the same settings selected as that profile. None of the settings are saved until you click Apply or OK.

Important Note: In the shot above, you'll see a tweak called "Default Profile" you must set that tweak or else when an auto-profile is run for a game your settings will not be restored on game exit. Just move the slider for the tweak to the profile you wish to use as your default and then hit Apply just like you would set any of the other tweaks. My normal setting for Default Profile is ATI Driver Defaults. However you can use any profile listed in the slider as the Default profile, and we've created a special profile which you can "set" with your own tweaks which is called "User Default Profile". On first install the user default profile is completely empty, so you'll want to select the tweaks you'd like enabled by default and use the "set" option from the profile menu (see below) to assign them to your new default profile.

Creating your own Profiles

Starting with version 2.1 of Rage3D Tweak, we implemented the ability to create your own profiles. Right clicking on the "D3D / OGL Template Profile" will give you the option to Clone the profile. Just click on Clone, and you'll be presented with a new profile you can name whatever you want.

Once you have "cloned" the profile, each new profile created will have the following options available to it through a right click on the profile's button:

Set | Saves the current DirectX/OpenGL/OpenGL Private settings to the profile.
Rename | Rename the profile
Comment | Edit the comment displayed when right clicking on the profile name. Enter comment in the Data text box.
Delete | Delete the profile

Once you select the tweaks you want for the new profile and Set them you will see new options available in the right-click menu.

SetAutoRun | Allows you to specify a game Executable to associate with the profile. This will set the profile as active each time you run the game, and return your settings to normal when the game exits.
Export | Export the actual ATI Registry values of each tweak setting in the profile to a registry file
Save | Save the Tweaker values of each tweak setting in the profile to a registry file.
Shortcut | Create a shortcut on the desktop pointing to any game/app which automatically changes the selected profile when running the game from the shortcut.

More on SetAutoRun:

When you click on the "SetAutoRun" menu item, you will see the Data window become available like so:

You can enter the name of the exectuable (game.exe in this instance) and then simply hit the Return key when you are done. When you've finished, you will notice a new menu item available for the profile.

When there is a Check by AutoRun, the profile will be automatically set each time you run the game executable that is associated with the profile. Clicking on the text of any of the profiles you create will show you the executable name that is associated with the profile in the Data window. If you want to change the executable that is associated with a profile, just click on SetAutoRun from the menu, and type in the name of the executable in the Data box again as described above.

The Shortcut option is another way to associate a profile with a specific executable. This is an alternative way to automatically run a profile to the AutoRun feature described above. When you have popped up the profile menu, and clicked Shortcut, you will get a dialogue box where you can select the game you want to link to the shortcut that looks something like this:

For Example: You create a profile for SeriousSam (I know, we already have a SS profile, but this can be any game of course) using the steps outlined above, and then you open the profile menu (right-click) and select shortcut. A window will pop up where you will browse to your SeriousSam directory and find the SeriousSam executable (SeriousSam.exe). Once you select the executable, clicking Open will create a shortcut on your desktop called SeriousSam.exe. Every time you click this shortcut, it will automatically change your settings to the SeriousSam profile and run SeriousSam.

To change a profile without opening the tweaker: You can also right-click on the Rage3D Tweak task bar icon to change profiles without needing to fire up the tweak tabs. A few included profiles are already in the list, and custom profiles you create for yourself will automatically be added to the list.


R3DTweak v2

Custom Display Modes

This is the interface for enabling the custom display modes supported by the Radeon.

Note: Your Monitor must report that it supports the selected display mode (through the .inf file for your monitor or through plug&play) for a given display mode to work!

To enable one of the custom display modes supported by the Radeon, just click on the green button to the left of the resolution you wish to enable. The button will light up when the display mode has been enabled. You will have to reboot your system for changes which include the addition of new resolutions to your current configuration.

_________________________

You will notice that all resolutions (custom and standard) are now listed in the CDM tweaker page. With a right-click on the green button next to the resolution of your choice, you will be presented with a menu which allows you to specify the refresh rate to be used by that resolution (see picture above). It will even change the refresh rate of your current resolution to whatever you specify as soon as you click the Apply button. However, changing the refresh rate on a resolution not currently in use will not change you to the new resolution, instead the specified refresh rate will be used next time your system switches to that resolution. The confirmation dialogue box displayed when changing the refresh rate of your current resolution has Cancel selected by default, so if you select a refresh rate that is out of range, just hit the "Enter" key, or wait for the timer to run out and it will return you to your previous settings. Make sure that you specify refresh rates that your monitor supports or you could damage your monitor. We have tried to make this feature as painless as possible, and give you a one-stop place to specify the refresh rates for all the resolutions you use.

Important Note: If you select an unsupported refresh rate, and are not able to switch away from the resolution with the incorrect setting for some reason, you will need to start your machine in safe mode to reset your adapter refresh rates.


R3DTweak v2

Overclocking

This is the interface for Rage3D Tweak Overclocking:

To overclock your Radeon just slide the Core Clock and Memory Clock sliders to the desired position. The Default Settings button will return your card to the factory default settings.

When you apply the settings a timer will pop up asking if you want to keep the settings. This is in case you set the speeds to fast and your screen goes blank or garbled for example. If you do not confirm the settings, they will return to their previous state to help avoid potential problems. Remember: Overclocking can seriously damage your hardware if you try to go to far! We've tried to make this utility as safe as possible, but be conservative in increasing your cards speed. If you go too far too fast, you can irreversibly damage your hardware.

Per-Game Overclock settings:

You'll notice a new interface for the Overclocking tab in v3.1 of Rage3D Tweak. It is much easier to set and view per-game overclockings settings now.

To add an new game clock setting, simply right-click in the GameUtil box and select Add. The tweaker will add the name of the last executable file that GameUtil thought might be a game. Change the file name listed (simply click on the text to rename it) to the executable file for the game you want to set the overclocking for (i.e. Quake3.exe or DungeonSiege.exe etc.) To set the clock speed for each game, right-click on the text and select Set. You'll notice the game executable name will appear next to the clock and memory sliders. Simply move the sliders to the appropriate speeds and hit apply. You will see your new settings appear in the GameUtil box at that point.

To set one speed to always use for your card, just set the sliders without putting in a game executable in the GameUtil box. What is shown on the sliders by default is what the clock speeds normally will be, but each time you run a game that is listed with the correct executable name in the GameUtil box, the GameUtil tool will automatically apply your custom clock speeds for that game. The clock speeds will be set back to your normal speeds when you exit the game